resource "aws_lambda_function" "this" {
  function_name = var.name
  role          = var.role_arn

  package_type = "Image"
  image_uri    = var.image_uri

  timeout     = var.timeout
  memory_size = var.memory_size
  publish     = true

  reserved_concurrent_executions = var.reserved_concurrent_executions

  environment {
    variables = var.environment
  }
}
